UL(1)

NOMBRE
ul - hace el subrayado

SINOPSIS
ul [-i] [-t terminal] [nombre ...]

DESCRIPCIÓN
Ul lee los ficheros dados (o la entrada estándar si no se da ninguno) y traduce caracteres subrayados a la secuencia que indique el subrayado para la terminal en uso, según se especifique en la variable de entorno TERM. La base de datos terminfo se lee para determinar las secuencias apropiadas para el subrayado. Si la terminal es incapaz de subrayar, pero tiene otra forma de resaltado, se usa ese en su lugar. Si la terminal puede sobre-escribir, o maneja automáticamente el subrayado, ul degenera a cat(1). Si la terminal no puede hacer el subrayado ni nada parecido, el subrayado no se realiza.

Se dispone de las siguientes opciones:

-i  El subrayado se indica por una línea separada que contiene guiones `-' según sea apropiado; esto es útil cuando quiere ver los subrayados presentes en un flujo de salida de nroff en una terminal CRT.

-t terminal
    Sustituye el tipo de terminal especificado en el entorno por terminal.

ENTORNO
Se emplea la siguiente variable de entorno:

TERM
    La variable TERM se emplea para referirse a un dispositivo tty con su descripción de capacidades del dispositivo (vea terminfo(5)). TERM se establece cuando se entra en el sistema, bien con el valor de tipo de terminal predeterminado especificado en /etc/ttys o con el puesto durante el proceso de entrada por el usuario en su fichero login o similar (vea setenv(1)).

VÉASE TAMBIÉN
man(1), nroff(1), colcrt(1)

FALLOS
Nroff usualmente saca una serie de espacios-atrás y sub-rayas entremezclados con el texto para indicar el subrayado. No se ha hecho ningún intento para mejorar el movimiento hacia atrás.

HISTORIA
La orden ul apareció en 3.0BSD.